zenilib: __DRIimageExtensionRec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
__DRIimageExtensionRec Struct Reference

`#include <dri_interface.h>`

## Public Attributes

__DRIextension | base
__DRIimage *(* | createImage )(__DRIscreen *screen, int width, int height, int format, unsigned int use, void *loaderPrivate)
__DRIimage *(* | createImageFromName )(__DRIscreen *screen, int width, int height, int format, int name, int pitch, void *loaderPrivate)
__DRIimage *(* | createImageFromRenderbuffer )(__DRIcontext *context, int renderbuffer, void *loaderPrivate)
void(* | destroyImage )(__DRIimage *image)
__DRIimage *(* | dupImage )(__DRIimage *image, void *loaderPrivate)
GLboolean(* | queryImage )(__DRIimage *image, int attrib, int *value)

## Detailed Description

Definition at line 832 of file dri_interface.h.

## Member Data Documentation

__DRIextension __DRIimageExtensionRec::base

Definition at line 833 of file dri_interface.h.

__DRIimage*(* __DRIimageExtensionRec::createImage)(__DRIscreen *screen, int width, int height, int format, unsigned int use, void *loaderPrivate)

Definition at line 846 of file dri_interface.h.

__DRIimage*(* __DRIimageExtensionRec::createImageFromName)(__DRIscreen *screen, int width, int height, int format, int name, int pitch, void *loaderPrivate)

Definition at line 835 of file dri_interface.h.

__DRIimage*(* __DRIimageExtensionRec::createImageFromRenderbuffer)(__DRIcontext *context, int renderbuffer, void *loaderPrivate)

Definition at line 840 of file dri_interface.h.

void(* __DRIimageExtensionRec::destroyImage)(__DRIimage *image)

Definition at line 844 of file dri_interface.h.

__DRIimage*(* __DRIimageExtensionRec::dupImage)(__DRIimage *image, void *loaderPrivate)

The new __DRIimage will share the content with the old one, see dup(2).

Definition at line 856 of file dri_interface.h.

GLboolean(* __DRIimageExtensionRec::queryImage)(__DRIimage *image, int attrib, int *value)

Definition at line 851 of file dri_interface.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/GL/internal/dri_interface.h